Subject: Re: New sparse warning in net/mac80211/debugfs_sta.c

From: Harvey Harrison <[email-masked]>
Date: Thu, 21 Feb 2008 02:08:18 -0800

On Thu, 2008-02-21 at 02:03 -0800, David Miller wrote:
> From: Johannes Berg <[email-masked]>
> Date: Thu, 21 Feb 2008 10:54:59 +0100
> 
> > It modifies the buffer, and I think it's more likely that the warning
> > was introduced by
>  ...
> >     [NET]: Elminate spurious print_mac() calls.
> 
> Right and that's what I just suggested in another reply.
> 
> Harvey how did you "narrow it down" to Joe's patch?  Did you really
> bisect to figure it out, or did you just guess?  You said "commit X
> introduced" and if you really didn't bisect it down to that
> such a claim is very misleading.

Sorry, that was misleading, it was a simple-minded git-log/git-blame
very short look, saw that line introduced here.

Really, that should have read:

Sparse warning introduced since -rc2:
..etc

Harvey's best guess is this commit...

I'll be more careful about this language going forward.

Cheers,

Harvey